CVE-2003-1201
CVSS5.0
发布时间 :2003-03-20 00:00:00
修订时间 :2008-09-05 16:36:18
NMCO    

[原文]ldbm_back_exop_passwd in the back-ldbm backend in passwd.c for OpenLDAP 2.1.12 and earlier, when the slap_passwd_parse function does not return LDAP_SUCCESS, attempts to free an uninitialized pointer, which allows remote attackers to cause a denial of service (segmentation fault).


[CNNVD]OpenLDAP LDBM_Back_Exop_Passwd远程拒绝服务攻击漏洞(CNNVD-200303-064)

        
        OpenLDAP是一款开放源代码的轻量级目录访问协议(LDAP)实现。
        OpenLDAP在处理"LDAP Modify Password Extended Operation"实现中由于尝试释放未初始化结构,可导致系统崩溃,远程攻击者可以利用这个漏洞进行拒绝服务攻击。
        目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:openldap:openldap:2.1.11
cpe:/a:openldap:openldap:2.0.25
cpe:/a:openldap:openldap:2.0.18
cpe:/a:openldap:openldap:2.0.21
cpe:/a:openldap:openldap:2.0.7
cpe:/a:openldap:openldap:2.0.11_11s
cpe:/a:openldap:openldap:2.0.13
cpe:/a:openldap:openldap:2.0.6
cpe:/a:openldap:openldap:2.0
cpe:/a:openldap:openldap:2.0.11_11
cpe:/a:openldap:openldap:2.1.10
cpe:/a:openldap:openldap:2.0.11
cpe:/a:openldap:openldap:2.1.4
cpe:/a:openldap:openldap:2.0.12
cpe:/a:openldap:openldap:2.0.19
cpe:/a:openldap:openldap:2.1.13
cpe:/a:openldap:openldap:2.0.27
cpe:/a:openldap:openldap:2.0.4
cpe:/a:openldap:openldap:2.0.23
cpe:/a:openldap:openldap:2.0.16
cpe:/a:openldap:openldap:2.0.8
cpe:/a:openldap:openldap:2.0.1
cpe:/a:openldap:openldap:2.1.16
cpe:/a:openldap:openldap:2.0.5
cpe:/a:openldap:openldap:2.0.10
cpe:/a:openldap:openldap:2.0.20
cpe:/a:openldap:openldap:2.0.3
cpe:/a:openldap:openldap:2.0.15
cpe:/a:openldap:openldap:2.0.2
cpe:/a:openldap:openldap:2.0.17
cpe:/a:openldap:openldap:2.0.9
cpe:/a:openldap:openldap:2.0.11_9
cpe:/a:openldap:openldap:2.1.12
cpe:/a:openldap:openldap:2.0.14
cpe:/a:openldap:openldap:2.1.15
cpe:/a:openldap:openldap:2.0.22
cpe:/a:openldap:openldap:2.1.14

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1201
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1201
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200303-064
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/7656
(PATCH)  BID  7656
http://www.openldap.org/its/index.cgi?findid=2390
(PATCH)  CONFIRM  http://www.openldap.org/its/index.cgi?findid=2390
http://security.gentoo.org/glsa/glsa-200403-12.xml
(PATCH)  GENTOO  GLSA-200403-12
http://secunia.com/advisories/9203
(PATCH)  SECUNIA  9203
http://secunia.com/advisories/11261
(PATCH)  SECUNIA  11261
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000685
(PATCH)  CONECTIVA  CLSA-2003:685
http://xforce.iss.net/xforce/xfdb/12520
(VENDOR_ADVISORY)  XF  openldap-back-ldbm-dos(12520)
http://www.osvdb.org/17000
(UNKNOWN)  OSVDB  17000

- 漏洞信息

OpenLDAP LDBM_Back_Exop_Passwd远程拒绝服务攻击漏洞
中危 其他
2003-03-20 00:00:00 2005-10-20 00:00:00
远程  
        
        OpenLDAP是一款开放源代码的轻量级目录访问协议(LDAP)实现。
        OpenLDAP在处理"LDAP Modify Password Extended Operation"实现中由于尝试释放未初始化结构,可导致系统崩溃,远程攻击者可以利用这个漏洞进行拒绝服务攻击。
        目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        OpenLDAP
        --------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        OpenLDAP Upgrade openldap-2.1.27.tgz
        ftp://ftp.OpenLDAP.org/pub/OpenLDAP/openldap-release/openldap-2.1.27.tgz

- 漏洞信息

17000
OpenLDAP back-ldbm ldbm_back_exop_passwd Function Local DoS
Remote / Network Access Denial of Service
Loss of Availability
Exploit Unknown

- 漏洞描述

OpenLDAP contains a flaw that may allow a remote denial of service. The issue is due to a failed password extended operation (password EXOP) causing OpenLDAP to free unallocated memory when using the back-ldbm back-end. This can be used to launch a memory resource consumption attack resulting in loss of availability for the service.

- 时间线

2003-03-20 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.1.17 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站